# DACreatePF

Creates an appropriately dimensioned PF mathematical function object from a DA.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DACreatePF(DA da,PF *pf)

Collective on DA

### Input Parameter

da -initial distributed array

### Output Parameter

pf -the mathematical function object

### Keywords

distributed array, grid function

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy(), DACreateGlobalVector()

Level:advanced
Location: src/dm/da/src/dapf.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex4.c.html